# Copyright 2006-2009 Michel Casabianca <michel.casabianca@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Test build listener.
class TestBuildListener

  attr_reader :started
  attr_reader :finished
  attr_reader :targets
  attr_reader :tasks
  attr_reader :success
  attr_reader :errors
  attr_accessor :output
  attr_reader :verbose
  
  def initialize
    @targets = []
    @tasks = []
    @output = ''
    @verbose = false
  end
  
  def build_started(build)
    @started = true
  end

  def build_finished(build)
    @finished = true
  end

  def target(target)
    @targets << target
  end

  def task(task)
    @tasks << tasks
  end

  def error(exception)
    @errors = exception
  end

  def print(text)
    @output << text
  end

  def puts(text)
    @output << text + "\n"
  end

end
